<?php
/**
 * @category   Reload
 * @package    Reload_Seo
 * @copyright  Copyright (c) 2013-2015 AndCode (http://www.andcode.nl)
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
?>

<?php 
if($this->getScore() != null) { 
//Only show the html and javascript if the score object is not null.
?>
<div id="reload-snippet" style="display: none;">
	<div class="entry-edit">
		<div class="entry-edit-head">
		    <h4 class="icon-head head-edit-form fieldset-legend">Rich snippet preview</h4>
		    <div class="form-buttons"><button type="button" class="scalable toggle-snippet"><span><span><span class="button-text">Hide snippet</span></span></span></button></div>
		</div>
		<div class="snippet-container">
			<div class="snippet">
				<div class="title-snippet"></div>
				<div class="url-snippet">preview.reloadseo.com/<div class="action-menu"><span class="url-chevron"></span></div></div>
				<div class="description-snippet"></div>
			</div>
			<div class="snippet-summary">
				<table cellpadding="0" cellspacing="0">
					<thead>
						<tr>
							<th></th>
							<th colspan="3"><?php echo Mage::helper('reload_seo')->__('Chars'); ?></th>
							<th colspan="3"><?php echo Mage::helper('reload_seo')->__('Pixels'); ?></th>
						</tr>
						<tr>
							<th><?php echo Mage::helper('reload_seo')->__('Element'); ?></th>
							<th><?php echo Mage::helper('reload_seo')->__('Length'); ?></th>
							<th><?php echo Mage::helper('reload_seo')->__('Displayed'); ?></th>
							<th><?php echo Mage::helper('reload_seo')->__('Truncated'); ?></th>
							<th><?php echo Mage::helper('reload_seo')->__('Length'); ?></th>
							<th><?php echo Mage::helper('reload_seo')->__('Available'); ?></th>
							<th><?php echo Mage::helper('reload_seo')->__('Remaining'); ?></th>
						</tr>
					</thead>
					<tbody>
						<tr class="title-row">
							<td><?php echo Mage::helper('reload_seo')->__('Title'); ?></td>
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>0</td>
						</tr>
						<tr class="description-row">
							<td><?php echo Mage::helper('reload_seo')->__('Description'); ?></td>
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>0</td>
							<td>0</td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>
	</div>
</div>

<div id="reload-seo-scores" class="reload-seo-scores <?php echo $this->getUpdateRequestKey(); ?>">
	<div class="seo-results">
		<div class="base-score seo-box">
			<p><?php echo Mage::helper('reload_seo')->__('Based on our information we have calculated the following SEO-score:'); ?></p>
			<span class="seo-score" style="background-color: <?php echo $this->getScore()->getColor(); ?>;"><?php echo $this->getScore()->getScore(); ?></span>
			<button type="button" class="seo-toggle-button">Hide</button>
		</div>
		<div class="seo-rules">
			<table cellpadding="0" cellspacing="0">
				<tbody>
					<?php foreach($this->getScore()->getRulesCollection() as $rule) { ?>
						<tr class="seo-rule">
							<td class="indicator"><div class="indicator-dot" style="background-color: <?php echo $rule->getStatus(); ?>;"></div></td>
							<td><?php echo $rule->getTitle(); ?></td>
						</tr>
					<?php } ?>
				</tbody>
			</table>
		</div>
	</div>
</div>
<?php $fieldMapping = Mage::helper('reload_seo')->getFieldMappings($this->getScore()->getType()); ?>
<?php $ajaxUrl = Mage::helper('reload_seo')->buildUrl('show', array(
    'key' => Mage::getStoreConfig('reload/reload_seo_group/reload_seo_key'), 
    'language' => Mage::app()->getLocale()->getLocaleCode(),
    'type' => $this->getScore()->getType(),
    'framework' => 'magento',
    'website' => Mage::getBaseUrl()
)); ?>
<script type="text/javascript">
//Declare all required variables for using in the seo.js file.

reloadseo.url = '<?php echo $ajaxUrl; ?>';
reloadseo.referenceId = '<?php echo $this->getScore()->getReferenceId(); ?>';
reloadseo.baseUrl = '<?php echo $this->getBaseShopUrl(); ?>';
reloadseo.type = '<?php echo $this->getScore()->getType(); ?>';
reloadseo.storeId = '<?php echo $this->getStoreId(); ?>';
reloadseo.titlePrefix = '<?php echo Mage::getStoreConfig('design/head/title_prefix', $this->getStoreId()); ?>';
reloadseo.titleSuffix = '<?php echo Mage::getStoreConfig('design/head/title_suffix', $this->getStoreId()); ?>';
reloadseo.analyze_images = parseInt('<?php echo Mage::getStoreConfig('reload/reload_seo_group/reload_seo_analyze_images'); ?>');
reloadseo.stores = <?php echo json_encode(Mage::helper('reload_seo')->collectStores()); ?>;

reloadseo.vars.type = '<?php echo $this->getScore()->getType(); ?>';
reloadseo.vars.field_mapping = <?php echo json_encode($fieldMapping); ?>;
reloadseo.vars.invisble_value = <?php echo Mage_Catalog_Model_Product_Visibility::VISIBILITY_NOT_VISIBLE; ?>;

//Init the system.
reloadseo.init();
</script>
<?php } ?>